Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038858
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-06-28 15:342018-08-08 13:06
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision326f3d73a55e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038858: Cannot process a Landed Cost if the role does not have access to Cost Adjustment window

DescriptionCannot process a Landed Cost if the role does not have access to Cost Adjustment window
Steps To ReproduceRemove the access to Cost Adjustment window to the role
Configure a Landed Cost type using product "Electricidad" in F&B España.
Create a Landed Cost and a Landed Cost Cost.
Create a Purchase Invoice with a Line using the "Electricidad" product.
Process the Purchase Invoice.
Create a new Landed Cost Type
Create a Landed Cost
Add a receipt
Add one cost selecting the invoice created previously
Try to process the landed cost and check the log shows:

"Entity CostAdjustment is not writable by this user"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105742)
AtulOpenbravo (developer)
2018-07-13 20:26
edited on: 2018-07-13 20:29

Test Plan

- Remove the access to Cost Adjustment window to the role
- Configure a Landed Cost type using product "Electricidad" in F&B España.
- Create a Purchase Invoice with a Line using the "Electricidad" product.
- Process the Purchase Invoice.
- Create a Landed Cost using above Landed Cost Type.
- Add a Goods Receipt and Goods Receipt Line.
- Add Cost selecting the invoice created previously.
- Try to process the landed cost, realize that landed cost is processed successfully.

(0105750)
hgbot (developer)
2018-07-16 13:25

Repository: erp/devel/pi
Changeset: 326f3d73a55ea8580063e60dc4e4c8ec98e33c4f
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jul 13 23:50:48 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/326f3d73a55ea8580063e60dc4e4c8ec98e33c4f [^]

Fixes Issue 38858:Cannot process a Landed Cost if the role
does not have access to Cost Adjustment window

** use flush() in processLandedCost before restoring from
admin mode so that cost adjustment created in the process
is saved in database properly using admin mode, it also
saved Updated landed cost object to database.

---
M src/org/openbravo/costing/LandedCostProcess.java
---
(0105751)
aferraz (developer)
2018-07-16 13:26

Code review + Testing OK
(0106212)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-28 15:34 ngarcia New Issue
2018-06-28 15:34 ngarcia Assigned To => Triage Finance
2018-06-28 15:34 ngarcia Modules => Core
2018-06-28 15:34 ngarcia Triggers an Emergency Pack => No
2018-06-28 15:38 ngarcia Issue Monitored: networkb
2018-07-02 15:34 Sandrahuguet Assigned To Triage Finance => collazoandy4
2018-07-02 16:00 Sandrahuguet Assigned To collazoandy4 => AtulOpenbravo
2018-07-13 19:16 AtulOpenbravo Status new => scheduled
2018-07-13 20:26 AtulOpenbravo Note Added: 0105742
2018-07-13 20:29 AtulOpenbravo Note Edited: 0105742 View Revisions
2018-07-16 13:25 hgbot Checkin
2018-07-16 13:25 hgbot Note Added: 0105750
2018-07-16 13:25 hgbot Status scheduled => resolved
2018-07-16 13:25 hgbot Resolution open => fixed
2018-07-16 13:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/326f3d73a55ea8580063e60dc4e4c8ec98e33c4f [^]
2018-07-16 13:26 aferraz Review Assigned To => aferraz
2018-07-16 13:26 aferraz Note Added: 0105751
2018-07-16 13:26 aferraz Status resolved => closed
2018-07-16 13:26 aferraz Fixed in Version => 3.0PR18Q4
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106212


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker